package com.brilliance.isc.swift.objmtconvert.model.mt9xx.tag.tag999;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt9xx.MT999Creator;

public class Tag79Creator extends AbsTagCreate {
    private MT999Creator mt999Creator;

    public Tag79Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt999Creator= (MT999Creator) absMTCreator;
    }

    public void creator()
    {
        String tag79Value = mt999Creator.getNarrative();
        mt999Creator.set("79", tag79Value);
    }
}
